package com.sifang.modules.customer.form;

import org.hibernate.validator.constraints.NotBlank;

public class AddReportSecondReq {

    @NotBlank(message = "entryId不能为空")
    private String entryId;

    //    @NotBlank(message = "yxImg不能为空")
    private String yxImg;

    private String contractFile;
    private String contractFilename;
    private AddIncomingApplication application;

    //    @NotBlank(message = "gebImg不能为空")
    private String gebImg;
    private String gebImg2;

    @NotBlank(message = "发电户号不能为空")
    private String generatorNo;

    private String addressConsistent;//购售电地址是否一致 Y:是、N:否

    private String province;

    private String city;

    private String area;

    private String address;

    private String provinceCode;
    //电表照片
    private String dbImgs;
    //电网箱照片
    private String dbxImgs;
    private String powerCapacityUrl;

    @NotBlank(message = "并网机构不能为空")
    private String bwInstitution;

    private  String powerPlantCode;

    private  String archivesImg;

    //是否授权 0：是 1：否
    private String isEmpower;

    //南网电力公司(手输)
    private String provinceCodeHand;

    //合同视频
    private String contractVideoUrl;

    //合同视频名称
    private String contractVideoName;

    private String supplementUrl;

    private String otherAttachment;

    private String tlzhjkImgs;

    public String getTlzhjkImgs() {
        return tlzhjkImgs;
    }

    public void setTlzhjkImgs(String tlzhjkImgs) {
        this.tlzhjkImgs = tlzhjkImgs;
    }

    public String getOtherAttachment() {
        return otherAttachment;
    }

    public void setOtherAttachment(String otherAttachment) {
        this.otherAttachment = otherAttachment;
    }

    public String getSupplementUrl() {
        return supplementUrl;
    }

    public void setSupplementUrl(String supplementUrl) {
        this.supplementUrl = supplementUrl;
    }

    public String getContractVideoUrl() {
        return contractVideoUrl;
    }

    public void setContractVideoUrl(String contractVideoUrl) {
        this.contractVideoUrl = contractVideoUrl;
    }

    public String getContractVideoName() {
        return contractVideoName;
    }

    public void setContractVideoName(String contractVideoName) {
        this.contractVideoName = contractVideoName;
    }

    public String getProvinceCodeHand() {
        return provinceCodeHand;
    }

    public void setProvinceCodeHand(String provinceCodeHand) {
        this.provinceCodeHand = provinceCodeHand;
    }

    public String getIsEmpower() {
        return isEmpower;
    }

    public void setIsEmpower(String isEmpower) {
        this.isEmpower = isEmpower;
    }

    private String insuranceNumber;//保险单号

    public String getInsuranceNumber() {
        return insuranceNumber;
    }

    public void setInsuranceNumber(String insuranceNumber) {
        this.insuranceNumber = insuranceNumber;
    }

    public String getPowerCapacityUrl() {
        return powerCapacityUrl;
    }

    public void setPowerCapacityUrl(String powerCapacityUrl) {
        this.powerCapacityUrl = powerCapacityUrl;
    }

    public String getDbxImgs() {
        return dbxImgs;
    }

    public void setDbxImgs(String dbxImgs) {
        this.dbxImgs = dbxImgs;
    }

    public String getDbImgs() {
        return dbImgs;
    }

    public void setDbImgs(String dbImgs) {
        this.dbImgs = dbImgs;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getYxImg() {
        return yxImg;
    }

    public void setYxImg(String yxImg) {
        this.yxImg = yxImg;
    }

    public String getGebImg() {
        return gebImg;
    }

    public void setGebImg(String gebImg) {
        this.gebImg = gebImg;
    }

    public String getGeneratorNo() {
        return generatorNo;
    }

    public void setGeneratorNo(String generatorNo) {
        this.generatorNo = generatorNo;
    }

    public String getAddressConsistent() {
        return addressConsistent;
    }

    public void setAddressConsistent(String addressConsistent) {
        this.addressConsistent = addressConsistent;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getContractFile() {
        return contractFile;
    }

    public void setContractFile(String contractFile) {
        this.contractFile = contractFile;
    }

    public AddIncomingApplication getApplication() {
        return application;
    }

    public void setApplication(AddIncomingApplication application) {
        this.application = application;
    }

    public String getContractFilename() {
        return contractFilename;
    }

    public void setContractFilename(String contractFilename) {
        this.contractFilename = contractFilename;
    }

    public String getGebImg2() {
        return gebImg2;
    }

    public void setGebImg2(String gebImg2) {
        this.gebImg2 = gebImg2;
    }

    public String getBwInstitution() {
        return bwInstitution;
    }

    public void setBwInstitution(String bwInstitution) {
        this.bwInstitution = bwInstitution;
    }

    public String getPowerPlantCode() {
        return powerPlantCode;
    }

    public void setPowerPlantCode(String powerPlantCode) {
        this.powerPlantCode = powerPlantCode;
    }

    public String getArchivesImg() {
        return archivesImg;
    }

    public void setArchivesImg(String archivesImg) {
        this.archivesImg = archivesImg;
    }
}
